<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:38 CEST 2019 -->
<title>org.firebirdsql.management (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.management (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/logging/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../org/firebirdsql/util/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.firebirdsql.management</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a></td>
<td class="colLast">
<div class="block">Implements the backup and restore functionality of Firebird Services API.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></td>
<td class="colLast">
<div class="block">Describe interface <code>FBManagerMBean</code> here.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/MaintenanceManager.html" title="interface in org.firebirdsql.management">MaintenanceManager</a></td>
<td class="colLast">
<div class="block">A <code>MaintenanceManager</code> is responsible for replicating the
 functionality provided by the <code>gfix</code> command-line tool.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/NBackupManager.html" title="interface in org.firebirdsql.management">NBackupManager</a></td>
<td class="colLast">
<div class="block">Implements the incremental backup and restore functionality of NBackup
 via the Firebird Services API.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></td>
<td class="colLast">
<div class="block">The base Firebird Service API functionality.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/StatisticsManager.html" title="interface in org.firebirdsql.management">StatisticsManager</a></td>
<td class="colLast">
<div class="block">A <code>StatisticsManager</code> is responsible for replicating the functionality of the <code>gstat</code> command-line tool.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/TraceManager.html" title="interface in org.firebirdsql.management">TraceManager</a></td>
<td class="colLast">
<div class="block">Implements the Trace/Audit API available new in Firebird 2.5.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a></td>
<td class="colLast">
<div class="block">A user in the Firebird Security Database.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/UserManager.html" title="interface in org.firebirdsql.management">UserManager</a></td>
<td class="colLast">
<div class="block">The base Firebird Service API functionality.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/FBBackupManager.html" title="class in org.firebirdsql.management">FBBackupManager</a></td>
<td class="colLast">
<div class="block">Implements the backup and restore functionality of Firebird Services API.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html" title="class in org.firebirdsql.management">FBBackupManagerBase</a></td>
<td class="colLast">
<div class="block">Implements the common functionality between regular and streaming backup/restore</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.PathSizeStruct.html" title="class in org.firebirdsql.management">FBBackupManagerBase.PathSizeStruct</a></td>
<td class="colLast">
<div class="block">Structure that holds path to the database and corresponding size of the file (in case of backup - that is
 size of the file in megabytes, in case of restore - size of the database file in pages).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/FBCommandLine.html" title="class in org.firebirdsql.management">FBCommandLine</a></td>
<td class="colLast">
<div class="block">FBCommandLine.java
 
 
 Created: Thu Oct 10 14:14:07 2002</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/FBMaintenanceManager.html" title="class in org.firebirdsql.management">FBMaintenanceManager</a></td>
<td class="colLast">
<div class="block">The <code>FBMaintenanceManager</code> class is responsible for replicating the functionality provided by
 the <code>gfix</code> command-line tool.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/FBManager.html" title="class in org.firebirdsql.management">FBManager</a></td>
<td class="colLast">
<div class="block">The class <code>FBManager</code> is a simple jmx mbean that allows you
 to create and drop databases.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/FBNBackupManager.html" title="class in org.firebirdsql.management">FBNBackupManager</a></td>
<td class="colLast">
<div class="block">Implements the incremental backup and restore functionality of NBackup via the Firebird Services API.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/FBServiceManager.html" title="class in org.firebirdsql.management">FBServiceManager</a></td>
<td class="colLast">
<div class="block">An implementation of the basic Firebird Service API functionality.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/FBStatisticsManager.html" title="class in org.firebirdsql.management">FBStatisticsManager</a></td>
<td class="colLast">
<div class="block">The <code>FBStatisticsManager</code> class is responsible for replicating the functionality of
 the <code>gstat</code> command-line tool.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/FBStreamingBackupManager.html" title="class in org.firebirdsql.management">FBStreamingBackupManager</a></td>
<td class="colLast">
<div class="block">Implements the streaming version of the backup and restore functionality of
 Firebird Services API.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/FBTraceManager.html" title="class in org.firebirdsql.management">FBTraceManager</a></td>
<td class="colLast">
<div class="block">Implements the Trace/Audit API available new in Firebird 2.5</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/FBUser.html" title="class in org.firebirdsql.management">FBUser</a></td>
<td class="colLast">
<div class="block">A user in the Firebird Security Database.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/FBUserManager.html" title="class in org.firebirdsql.management">FBUserManager</a></td>
<td class="colLast">
<div class="block">Implements the display/add/delete/modify user functionality of the Firebird Services API.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/PageSizeConstants.html" title="class in org.firebirdsql.management">PageSizeConstants</a></td>
<td class="colLast">
<div class="block">Constants for page size supported by Firebird.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/management/StatisticsManager.DatabaseTransactionInfo.html" title="class in org.firebirdsql.management">StatisticsManager.DatabaseTransactionInfo</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/logging/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../org/firebirdsql/util/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
